> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/interfaces/mermaid.ParseOptions.md](../../../../packages/mermaid/src/docs/config/setup/interfaces/mermaid.ParseOptions.md).

# Interface: ParseOptions

[mermaid](../modules/mermaid.md).ParseOptions

## Properties

### suppressErrors

• `Optional` **suppressErrors**: `boolean`

If `true`, parse will return `false` instead of throwing error when the diagram is invalid.
The `parseError` function will not be called.

#### Defined in

[packages/mermaid/src/types.ts:43](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/types.ts#L43)
